Download it now!
Bug 130717 - Draw: Add to main menu "3D effects" tool
Summary: Draw: Add to main menu "3D effects" tool
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All All
: medium enhancement
Assignee: Shivam Kumar Singh
URL:
Whiteboard: target:7.0.0
Keywords: difficultyBeginner, easyHack, skillUI, topicUI
Depends on:
Blocks: Main-Menu
  Show dependency treegraph
 
Reported: 2020-02-16 17:48 UTC by Roman Kuznetsov
Modified: 2020-02-24 15:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Roman Kuznetsov 2020-02-16 17:48:39 UTC
Description:
Draw: Add to main menu "3D effects" tool

It's a different dialog

1. Add to drawing any line
2. Select Shape->Convert->to 3D rotetion object
2. Right click on 3D shape
3. Select 3D effects item from context menu
4. It opens "3D effects" dialog

You can't open it from main menu or from any toolbar, it's possibly only for special (not for all, sic!) 3D object context menu.

I suggest add it to Format menu

Steps to Reproduce:
-

Actual Results:
There is no "3D effects"options menu item

Expected Results:
There is "3D effects"options menu item


Reproducible: Always


User Profile Reset: No



Additional Info:
-
Comment 1 Heiko Tietze 2020-02-19 09:21:16 UTC
Yes, should be under Format after Area.

Code pointers: 

sd/uiconfig/sdraw/menubar/menubar.xml
.uno:Window3D
Comment 2 Commit Notification 2020-02-24 15:39:01 UTC
Shivam Kumar Singh committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/7b2da820f3d8a2e42c30db0897faeb690f3b5f22

tdf#130717 Adding 3D Window option to Format Menu

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.